diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/tests/test_package_edbfuncs_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/tests/test_package_edbfuncs_get.py
index 11fb61903..b5ae914cd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/tests/test_package_edbfuncs_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/tests/test_package_edbfuncs_get.py
@@ -111,11 +111,11 @@ END %s;""" % (self.schema_name, self.pkg_name, self.proc_name,
 
         response_data = json.loads(response.data.decode('utf-8'))
 
-        self.assertEquals(response.status_code, 200)
-        self.assertEquals(len(response_data['data']), 1)
-        self.assertEquals(response_data['data'][0]['label'],
+        self.assertEqual(response.status_code, 200)
+        self.assertEqual(len(response_data['data']), 1)
+        self.assertEqual(response_data['data'][0]['label'],
                           self.func_name + '()')
-        self.assertEquals(response_data['data'][0]['_type'], 'edbfunc')
+        self.assertEqual(response_data['data'][0]['_type'], 'edbfunc')
 
         # Fetch Package procedure
         url = self.url.format('edbproc') + str(
@@ -127,11 +127,11 @@ END %s;""" % (self.schema_name, self.pkg_name, self.proc_name,
 
         response_data = json.loads(response.data.decode('utf-8'))
 
-        self.assertEquals(response.status_code, 200)
-        self.assertEquals(len(response_data['data']), 1)
+        self.assertEqual(response.status_code, 200)
+        self.assertEqual(len(response_data['data']), 1)
         self.assertIn(self.proc_name, response_data['data'][0]['label'])
         self.assertIn("INOUT", response_data['data'][0]['label'])
-        self.assertEquals(response_data['data'][0]['_type'], 'edbproc')
+        self.assertEqual(response_data['data'][0]['_type'], 'edbproc')
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py
index 2e55c29a3..1fde69ed7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py
@@ -83,7 +83,7 @@ class PackageAddTestCase(BaseTestGenerator):
             data=json.dumps(data),
             content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py
index 9df1c2b4a..ba5e382ca 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py
@@ -86,7 +86,7 @@ class PackageDeleteTestCase(BaseTestGenerator):
             str(self.package_id),
             follow_redirects=True)
 
-        self.assertEquals(delete_response.status_code, 200)
+        self.assertEqual(delete_response.status_code, 200)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete_multiple.py
index de0ccdaca..43f59340c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete_multiple.py
@@ -92,7 +92,7 @@ class PackageDeleteMultipleTestCase(BaseTestGenerator):
             content_type='html/json',
             follow_redirects=True)
 
-        self.assertEquals(delete_response.status_code, 200)
+        self.assertEqual(delete_response.status_code, 200)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py
index 27ba4d89b..9185bf829 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py
@@ -79,7 +79,7 @@ class PackageGetTestCase(BaseTestGenerator):
                                    str(self.package_id),
                                    content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py
index 831bf944c..8cc9dac29 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py
@@ -92,7 +92,7 @@ class PackagePutTestCase(BaseTestGenerator):
             data=json.dumps(data),
             follow_redirects=True)
 
-        self.assertEquals(put_response.status_code, 200)
+        self.assertEqual(put_response.status_code, 200)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
index 7c1e8aaac..6745c72f3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
@@ -119,7 +119,7 @@ class SequenceAddTestCase(BaseTestGenerator):
             '/' + str(schema_id) + '/',
             data=json.dumps(self.data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
index 294bc4d63..45e12c534 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
@@ -62,7 +62,7 @@ class SequenceDeleteTestCase(BaseTestGenerator):
             str(self.schema_id) + '/' +
             str(self.sequence_id),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete_multiple.py
index f5cadd8d5..e04f07659 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete_multiple.py
@@ -86,7 +86,7 @@ class SequenceDeleteMultipleTestCase(BaseTestGenerator):
             data=data,
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
index 9120a8900..23832eb63 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
@@ -57,7 +57,7 @@ class SequenceGetTestCase(BaseTestGenerator):
             str(self.schema_id) + '/' +
             str(self.sequence_id),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_put.py
index 1eeedd106..8b76d90a9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_put.py
@@ -91,7 +91,7 @@ class SequencePutTestCase(BaseTestGenerator):
             str(self.sequence_id),
             data=json.dumps(self.data),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_add.py
index 986435bec..6be14cb72 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_add.py
@@ -77,7 +77,7 @@ class SynonymAddTestCase(BaseTestGenerator):
             self.url + str(utils.SERVER_GROUP) + '/' + str(self.server_id) +
             '/' + str(self.db_id) + '/' + str(self.schema_id) + '/',
             data=json.dumps(data), content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete.py
index bad95bf50..89e7f7248 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete.py
@@ -79,7 +79,7 @@ class SynonymDeleteTestCase(BaseTestGenerator):
             str(self.server_id) + '/' + str(self.db_id) + '/' +
             str(self.schema_id) + '/' + str(self.syn_oid),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete_multiple.py
index 361f54713..60a689898 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete_multiple.py
@@ -96,7 +96,7 @@ class SynonymDeleteMultipleTestCase(BaseTestGenerator):
             data=json.dumps(data),
             content_type='html/json',
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_get.py
index 6681f1e6d..41d5c3932 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_get.py
@@ -73,7 +73,7 @@ class SynonymGetTestCase(BaseTestGenerator):
             str(self.server_id) + '/' + str(self.db_id) + '/' +
             str(self.schema_id) + '/' + str(self.syn_oid),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """ Disconnect the database. """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_put.py
index b9faa7087..97eaf087b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_put.py
@@ -99,7 +99,7 @@ class SynonymPutTestCase(BaseTestGenerator):
             str(self.syn_oid),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """ Disconnect the database. """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_msql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_msql.py
index fa8e68464..5f0e6b3d1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_msql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_msql.py
@@ -102,7 +102,7 @@ class ColumnMsqlTestCase(BaseTestGenerator):
             expected_precision = self.data["old_precision"]
 
         expected_sql = (eval(self.expected_data["test_result_data"]))
-        self.assertEquals(response_data['data'], expected_sql)
+        self.assertEqual(response_data['data'], expected_sql)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_add.py
index cce634d5d..a574eacd9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_add.py
@@ -116,7 +116,7 @@ class CompoundTriggersAddTestCase(BaseTestGenerator):
                 with patch(self.mock_data["function_name"],
                            side_effect=eval(self.mock_data["return_value"])):
                     response = self.create_compound_trigger(object_id)
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_delete.py
index 6f25444c4..7ce060f02 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_delete.py
@@ -102,7 +102,7 @@ class CompoundTriggersDeleteTestCase(BaseTestGenerator):
                        return_value=eval(self.mock_data["return_value"])):
                 response = self.delete_compound_trigger()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_delete_multiple.py
index 062456f2f..95f1dcf98 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_delete_multiple.py
@@ -110,7 +110,7 @@ class CompoundTriggersDeleteMultipleTestCase(BaseTestGenerator):
         if self.is_positive_test:
             response = self.delete_multiple_compound_triggers(data)
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data['status_code'])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_get.py
index be389dcdd..1448a456f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_get.py
@@ -110,7 +110,7 @@ class CompoundTriggersGetTestCase(BaseTestGenerator):
                     url + \
                     "?oid=17312&description=commaa&name=code&_=1589522392579"
                 response = self.tester.get(url, follow_redirects=True)
-                self.assertEquals(response.status_code,
+                self.assertEqual(response.status_code,
                                   self.expected_data["status_code"])
             if hasattr(self, "table_nodes"):
                 self.trigger_id = ''
@@ -137,7 +137,7 @@ class CompoundTriggersGetTestCase(BaseTestGenerator):
                            return_value=eval(self.mock_data["return_value"])):
                     response = self.get_compound_trigger()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_put.py
index 349856b11..dee22c090 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_put.py
@@ -135,7 +135,7 @@ class CompoundTriggersUpdateTestCase(BaseTestGenerator):
                     self.trigger_id = 9999
                 response = self.update_compound_trigger()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/utils.py
index 87f46b88a..2932bcf35 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/utils.py
@@ -146,7 +146,7 @@ def api_get_index_msql(self):
 def assert_status_code(self, response):
     act_res = response.status_code
     exp_res = self.expected_data["status_code"]
-    return self.assertEquals(act_res, exp_res)
+    return self.assertEqual(act_res, exp_res)
 
 
 def assert_error_message(self, response, error_msg=None):
@@ -155,7 +155,7 @@ def assert_error_message(self, response, error_msg=None):
         exp_res = error_msg
     else:
         exp_res = self.expected_data["error_msg"]
-    return self.assertEquals(act_res, exp_res)
+    return self.assertEqual(act_res, exp_res)
 
 
 def create_index(server, db_name, schema_name, table_name, index_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_add.py
index 6e64377b4..36e517d6e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_add.py
@@ -83,7 +83,7 @@ class RulesAddTestCase(BaseTestGenerator):
                 with patch(self.mock_data["function_name"],
                            side_effect=eval(self.mock_data["return_value"])):
                     response = self.create_policy(data)
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def create_policy(self, data):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_delete.py
index 7639f97ed..9ac2627ac 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_delete.py
@@ -79,7 +79,7 @@ class PolicyDeleteTestCase(BaseTestGenerator):
                        return_value=eval(self.mock_data["return_value"])):
                 response = self.delete_policy()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_delete_multiple.py
index d8d76ff6f..74ed682c6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_delete_multiple.py
@@ -86,7 +86,7 @@ class PolicyDeleteTestCases(BaseTestGenerator):
         data = {'ids': self.rule_ids}
         if self.is_positive_test:
             response = self.delete_multiple_policy(data)
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_get.py
index 09eb613f5..21ebc1202 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_get.py
@@ -86,7 +86,7 @@ class PolicyGetTestCase(BaseTestGenerator):
                            return_value=eval(self.mock_data["return_value"])):
                     response = self.get_policy()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_put.py
index 2e6c6d97c..7f140d475 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_put.py
@@ -97,7 +97,7 @@ class PolicyUpdateTestCase(BaseTestGenerator):
                     self.policy_id = 9999
                 response = self.update_policy(self.test_data)
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_add.py
index 51a816762..92b0474bd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_add.py
@@ -75,7 +75,7 @@ class RulesAddTestCase(BaseTestGenerator):
                 with patch(self.mock_data["function_name"],
                            side_effect=eval(self.mock_data["return_value"])):
                     response = self.create_rule(data)
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def create_rule(self, data):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete.py
index aee667bd8..1395ac69a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete.py
@@ -79,7 +79,7 @@ class RulesDeleteTestCase(BaseTestGenerator):
                        return_value=eval(self.mock_data["return_value"])):
                 response = self.delete_rules()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete_multiple.py
index f23a101a8..97f543161 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete_multiple.py
@@ -86,7 +86,7 @@ class RulesDeleteTestCase(BaseTestGenerator):
         data = {'ids': self.rule_ids}
         if self.is_positive_test:
             response = self.delete_multiple_rule(data)
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_get.py
index 37aa62cba..73136ba83 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_get.py
@@ -86,7 +86,7 @@ class RulesGetTestCase(BaseTestGenerator):
                            return_value=eval(self.mock_data["return_value"])):
                     response = self.get_rule()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py
index f90658418..824aebbae 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py
@@ -85,7 +85,7 @@ class RulesUpdateTestCase(BaseTestGenerator):
                     self.rule_id = 9999
                 response = self.update_rule(data)
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_privileges_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_privileges_put.py
index 2a26a61ce..a4323c32d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_privileges_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_privileges_put.py
@@ -89,7 +89,7 @@ class TableUpdateColumnTestCase(BaseTestGenerator):
             str(self.server_id) + '/' + str(self.db_id) + '/' +
             str(self.schema_id) + '/' + str(self.table_id),
             data=json.dumps(data), follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
